# Class Signature

#### Hierarchy

- Signature

- Defined in core/definitions/dist/esm/signature.d.ts:1

#####
Index

### Constructors

constructor

### Properties

r
s
v

### Methods

encode
decode

## Constructors

### constructor

- new Signature(r, s, v): Signature

- #### Parameters

  - ##### r: bigint

  - ##### s: bigint

  - ##### v: number

  #### Returns Signature

  - Defined in core/definitions/dist/esm/signature.d.ts:5

## Properties

### `Readonly` r

r: bigint

- Defined in core/definitions/dist/esm/signature.d.ts:2

### `Readonly` s

s: bigint

- Defined in core/definitions/dist/esm/signature.d.ts:3

### `Readonly` v

v: number

- Defined in core/definitions/dist/esm/signature.d.ts:4

## Methods

### encode

- encode(): Uint8Array

- #### Returns Uint8Array

  - Defined in core/definitions/dist/esm/signature.d.ts:6

### `Static` decode

- decode(data): Signature

- #### Parameters

  - ##### data: Uint8Array

  #### Returns Signature

  - Defined in core/definitions/dist/esm/signature.d.ts:7

Generated using TypeDoc